import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _AVMetadataItem } from "./AVMetadataItem.js";
export declare class _AVMetadataItemValueRequest extends _NSObject {
    static alloc(): _AVMetadataItemValueRequest;
    static new(): _AVMetadataItemValueRequest;
    init(): _AVMetadataItemValueRequest;
    /**
     * @method respondWithValue: @abstract Allows you to respond to an AVMetadataItemValueRequest by providing a value. @param value The value of the AVMetadataItem.
     */
    respondWithValue$(value: _NSObject | _NSCopying): void;
    /**
     * @method respondWithError: @abstract Allows you to respond to an AVMetadataItemValueRequest in the case of failure. @param error An instance of NSError that describes a failure encountered while loading the value of an AVMetadataItem.
     */
    respondWithError$(error: _NSError): void;
    /** Indicates the AVMetadataItem for which a value is being loaded. */
    metadataItem(): _AVMetadataItem | null;
}
